Package de.willuhn.jameica.hbci.gui.input

# Class TerminInput

java.lang.Object
de.willuhn.jameica.gui.input.DateInput
de.willuhn.jameica.hbci.gui.input.TerminInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class TerminInput extends de.willuhn.jameica.gui.input.DateInput
Vorkonfiguriertes Eingabefeld fuer einen Termin.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`QUEUE_TERMIN_CHANGED`
Queue, die bei Aenderungen benachrichtigt wird.

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`TerminInput(Terminable auftrag)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`updateComment()`
Aktualisiert den Kommentar basierend auf den aktuellen Eigenschaften des Auftrages.

### Methods inherited from class de.willuhn.jameica.gui.input.DateInput

`addListener, disable, disableClientControl, enable, enableClientControl, focus, getControl, getData, getName, getValue, hasChanged, isEnabled, isMandatory, paint, paint, setComment, setData, setEnabled, setMandatory, setName, setText, setTitle, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QUEUE_TERMIN_CHANGED

public static final String QUEUE_TERMIN_CHANGED
Queue, die bei Aenderungen benachrichtigt wird.

See Also:
  - Constant Field Values

## Constructor Details

### TerminInput

public TerminInput(Terminable auftrag) throws RemoteException
ct.

Parameters:
  `auftrag` - der terminierbare Auftrag.
Throws:
  `RemoteException`

## Method Details

### updateComment

public void updateComment()
Aktualisiert den Kommentar basierend auf den aktuellen Eigenschaften des Auftrages.